Bug 114066 - X server now crashes in VM after applying patches from up2date
X server now crashes in VM after applying patches from up2date
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Barr
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-21 23:58 EST by Jason
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 16:14:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason 2004-01-21 23:58:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)

Description of problem:
I usually build my servers in VMware and don't have a problem. I
started migrating from Red Hat 9 to Fedora Core 1 (fresh OS install).
Everything works fine until applying the 40-some updates from up2date.
In one VM, the mouse went wild and started wildly clicking thinks by
just touching it. This was fixed by reselecting PS/2 mouse from system

In a 2nd VM, I started having the same problem after running up2date
and applied the same fix. I then rebooted the environment and now X
server crashes before graphic login with a "no screens found". I try
re-running "redhat-config-xfree86 --reconfig -v" but no dice as it
just comes back with "xconf.py Fatal IO error 2 (Connection reset by
peer) on X server :17.0."

I don't remember Xfree86 in the list of up2date patches. Thoughts?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot
2. Wait for X server failure

Additional info:
Comment 1 Mike A. Harris 2004-01-22 02:49:34 EST
Reassigning bug report to our Red Hat/VMware contact liason.
Comment 2 Mike A. Harris 2004-11-29 16:14:15 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core 3, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.